summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2009-12-14 03:09:13 +0000
committerMike Frysinger <vapier@gentoo.org>2009-12-14 03:09:13 +0000
commitbd87988f38fb92f16ca0b197937e5b381beb21a4 (patch)
tree29fda1388b2b1388c3fcb31799c0b3a802111dd4 /net-misc
parentAutomated update of use.local.desc (diff)
downloadgentoo-2-bd87988f38fb92f16ca0b197937e5b381beb21a4.tar.gz
gentoo-2-bd87988f38fb92f16ca0b197937e5b381beb21a4.tar.bz2
gentoo-2-bd87988f38fb92f16ca0b197937e5b381beb21a4.zip
update man pages to 4.2.6
Diffstat (limited to 'net-misc')
-rwxr-xr-xnet-misc/ntp/files/man-pages/genmans.sh19
-rw-r--r--net-misc/ntp/files/man-pages/ntpdc.html.patch10
2 files changed, 14 insertions, 15 deletions
diff --git a/net-misc/ntp/files/man-pages/genmans.sh b/net-misc/ntp/files/man-pages/genmans.sh
index 12857d886364..843db64fa096 100755
--- a/net-misc/ntp/files/man-pages/genmans.sh
+++ b/net-misc/ntp/files/man-pages/genmans.sh
@@ -16,8 +16,9 @@ fi
SRCDIR=${0%/*}
HTMLDIR=${SRCDIR}/${VERSION}/html
DISTFILE=/usr/portage/distfiles/${VERSION}.tar.gz
-MANDIR=man
+MANDIR=${SRCDIR}/man
+rm -rf ${SRCDIR}/${VERSION}
if [[ ! -d ${HTMLDIR} ]] ; then
if [[ -f ${DISTFILE} ]] ; then
tar zxf ${DISTFILE} -C ${SRCDIR} || exit 1
@@ -33,7 +34,7 @@ processfile() {
MANFILE=$2
echo -n "Processing $HTMLFILE ..."
sed -e "s:<csobj.*<:csobj>/:" $HTMLDIR/$HTMLFILE > .$HTMLFILE
- xsltproc --html --stringparam version $VERSION ntp.xsl .$HTMLFILE > $MANDIR/$MANFILE || exit 1
+ xsltproc --html --stringparam version $VERSION ${SRCDIR}/ntp.xsl .$HTMLFILE > $MANDIR/$MANFILE || exit 1
rm -f .$HTMLFILE
echo "Done."
}
@@ -49,9 +50,9 @@ read
# Apply patch if still needed
(
cd $HTMLDIR
-patch -p2 --dry-run < ../../ntpdc.html.patch -sf || exit 0
-patch -p2 < ../../ntpdc.html.patch
-)
+patch -F0 -p2 --dry-run < ../../ntpdc.html.patch -sf || exit 0
+patch -F0 -p2 < ../../ntpdc.html.patch
+) || exit 1
# Process HTML files
rm -rf ${MANDIR}
@@ -61,8 +62,10 @@ for f in ntp{date,dc,d,q,time,trace,dsim} keygen tickadj ; do
done
echo
-cp -vi /usr/local/src/freebsd/src/usr.sbin/ntp/doc/*.5 man/
-cp -vi *.patch genmans.sh ntp.xsl man/
+cp -vi /usr/local/src/freebsd/src/usr.sbin/ntp/doc/*.5 ${MANDIR}
+cp -vi ${SRCDIR}/*.patch ${SRCDIR}/genmans.sh ${SRCDIR}/ntp.xsl ${MANDIR}
-tar -jcf ${VERSION}-manpages.tar.bz2 ${MANDIR}
+tar -jcf ${VERSION}-manpages.tar.bz2 -C ${MANDIR}/.. man
du -b ${VERSION}-manpages.tar.bz2
+
+rm -rf ${MANDIR} ${SRCDIR}/${VERSION}
diff --git a/net-misc/ntp/files/man-pages/ntpdc.html.patch b/net-misc/ntp/files/man-pages/ntpdc.html.patch
index 2a98c7b51f77..4e16393bb062 100644
--- a/net-misc/ntp/files/man-pages/ntpdc.html.patch
+++ b/net-misc/ntp/files/man-pages/ntpdc.html.patch
@@ -1,7 +1,6 @@
--- ntp/html/ntpdc.html
+++ ntp/html/ntpdc.html
-@@ -131,11 +131,11 @@
- <p>Authenticated requests always include a timestamp in the packet data, which is included in the computation of the authentication code. This timestamp is compared by the server to its receive time stamp. If they differ by more than a small amount the request is rejected. This is done for two reasons. First, it makes simple replay attacks on the server, by someone who might be able to overhear traffic on your LAN, much more difficult. Second, it makes it more difficult to request configuration changes to your server from topologically remote hosts. While the reconfiguration facility will work well with a server on the local host, and may work adequately between time-synchronized hosts on the same LAN, it will work very poorly for more distant hosts. As such, if reasonable passwords are chosen, care is taken in the distribution and protection of keys and appropriate source address restrictions are applied, the run time reconfiguration facility should provide an adequate level of security.</p>
+@@ -132,9 +132,9 @@
<p>The following commands all make authenticated requests.</p>
<dl>
- <dt><tt>addpeer <i>peer_address</i> [
@@ -13,11 +12,9 @@
+ <dt><tt>addpeer</tt> <i>peer_address</i> [
<tt>prefer | iburst | burst | minpoll
<i>N</i> | <tt>maxpoll</tt> <i>N</i> | <tt>keyid</tt>
- <i>N</i> | <tt>version</tt> <i>N</i> [...] ]</tt>
-@@ -163,11 +163,11 @@
- ntpd. See the <a href="confopt.html">Server Options</a> page for further information.
- Each flag (or its absence) replaces the
+@@ -165,9 +165,9 @@
previous setting. The <tt>prefer</tt> keyword indicates a preferred peer (and thus will be used primarily for clock synchronisation if possible). The preferred peer also determines the validity of the PPS signal - if the preferred peer is suitable for synchronisation so is the PPS signal.
+ The <tt>dynamic</tt> keyword allows association configuration even when no suitable network interface is found at configuration time. The dynamic interface update mechanism may complete the configuration when new interfaces appear (e.g. WLAN/PPP interfaces) at a later time and thus render the association operable.
- <dt><tt>addserver <i>peer_address</i> [
+ <dt><tt>addserver</tt> <i>peer_address</i> [
<i>keyid</i> ] [ <i>version</i> ] [
@@ -27,4 +24,3 @@
+ <dt><tt>addserver</tt> <i>peer_address</i> [
<tt>prefer | iburst | burst | minpoll
<i>N</i> | <tt>maxpoll</tt> <i>N</i> | <tt>keyid</tt>
- <i>N</i> | <tt>version</tt> <i>N</i> [...] ]</tt>